refactor: switch to ubuntu 26.04 lts

This commit is contained in:
2026-06-23 21:58:14 +01:00
parent 0cc8ea528a
commit a4f3cf95c5
10 changed files with 25 additions and 70 deletions
-32
View File
@@ -1,32 +0,0 @@
#!/usr/bin/env sh
set -e
err() { echo "$@" >&2; exit 1; }
log() { echo "$@" >&2; }
[ "$(id -u)" -ne 0 ] && err "You must run this script as root"
# Install minimal packages for provisioning
PACKAGES="dropbear openssh-sftp-server python3 py3-yaml py3-kubernetes cloud-utils-growpart e2fsprogs-extra lsblk"
apk update && apk upgrade
apk add ${PACKAGES}
# Enable and start services
enable_and_start() {
service="$1"
rc-update add "${service}" default
service "${service}" start
}
enable_and_start dropbear
# increase root partition size
root_dev=$(readlink -f /dev/root)
disk=$(lsblk -no pkname "$root_dev")
part_num=$(echo "$root_dev" | sed 's|.*[^0-9]||')
echo "Growing /dev/${disk}${part_num}..."
# Grow partition and resize
growpart "/dev/$disk" "$part_num" || err "Partition growth failed"
resize2fs "$root_dev" || err "Filesystem resize failed"
+8 -6
View File
@@ -9,6 +9,8 @@ locals {
master_count = 2
worker_count = 0
image = "ubuntu/26.04"
}
# ---------
@@ -16,16 +18,16 @@ locals {
# ---------
resource "incus_project" "this" {
name = "deskpi-cluster"
description = "The emulated DeskPi Super6C stack."
name = "home-infrastructure"
description = "An emulated home infrastructure stack."
}
resource "incus_image" "alpine" {
resource "incus_image" "this" {
project = incus_project.this.name
source_image = {
remote = "images"
name = "alpine/edge"
name = local.image
type = "virtual-machine"
}
}
@@ -76,7 +78,7 @@ resource "incus_instance" "master" {
project = incus_project.this.name
type = "virtual-machine"
image = incus_image.alpine.fingerprint
image = incus_image.this.fingerprint
profiles = [incus_profile.this.name]
wait_for {
@@ -127,7 +129,7 @@ resource "incus_instance" "worker" {
project = incus_project.this.name
type = "virtual-machine"
image = incus_image.alpine.fingerprint
image = incus_image.this.fingerprint
profiles = [incus_profile.this.name]
wait_for {